# Generated from monkeylearn-3.4.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name monkeylearn

Name: rubygem-%{gem_name}
Version: 3.4.0
Release: 1%{?dist}
Summary: Ruby client for the MonkeyLearn API
License: MIT
URL: https://github.com/monkeylearn/monkeylearn-ruby
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 1.3.5
BuildRequires: ruby >= 1.9.2
BuildArch: noarch

%description
A simple client for the MonkeyLearn API.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/monkeylearn.gemspec

%changelog
* Tue Aug 24 2021 mockbuilder - 3.4.0-1
- Initial package
